Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# PGWaitBar Class Reference

This is a particular kind of PGItem that draws a little bar that fills from left to right to indicate a slow process gradually completing, like a traditional "wait, loading" bar. More...

Inheritance diagram for PGWaitBar:

List of all members.

## Public Member Functions
| PGWaitBar (string name)
| PGWaitBar ()
PGFrameStyle | getBarStyle ()
| Returns the kind of frame that is drawn on top of the WaitBar to represent the amount completed.
float | getPercent ()
| Returns the percentage complete.
float | getRange ()
| Returns the value at which the WaitBar indicates 100%.
float | getValue ()
| Returns the current value of the bar.
| setBarStyle (PGFrameStyle const style)
| Sets the kind of frame that is drawn on top of the WaitBar to represent the amount completed.
| setRange (float range)
| Sets the value at which the WaitBar indicates 100%.
| setup (float width, float height, float range)
| Creates a PGWaitBar with the indicated dimensions, with the indicated maximum range.
| setValue (float value)
| Sets the current value of the bar.
## Static Public Member Functions
static TypeHandle | getClassType ()

## Detailed Description

This is a particular kind of PGItem that draws a little bar that fills from left to right to indicate a slow process gradually completing, like a traditional "wait, loading" bar.

## Constructor & Destructor Documentation

PGWaitBar | ( | string | name | ) |

PGWaitBar | ( |  | ) |

## Member Function Documentation

PGFrameStyle getBarStyle | ( |  | ) |

Returns the kind of frame that is drawn on top of the WaitBar to represent the amount completed.

static TypeHandle getClassType | ( |  | ) | `[static]`

Reimplemented from PGItem.

float getPercent | ( |  | ) |

Returns the percentage complete.

float getRange | ( |  | ) |

Returns the value at which the WaitBar indicates 100%.

float getValue | ( |  | ) |

Returns the current value of the bar.

setBarStyle | ( | PGFrameStyle const | style | ) |

Sets the kind of frame that is drawn on top of the WaitBar to represent the amount completed.

setRange | ( | float | range | ) |

Sets the value at which the WaitBar indicates 100%.

setup | ( | float | width,
|  | float | height,
|  | float | range
| ) |  |

Creates a PGWaitBar with the indicated dimensions, with the indicated maximum range.

setValue | ( | float | value | ) |

Sets the current value of the bar.

This should range between 0 and get_range().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties